---------------------
PatchSet 3731 
Date: 2006/09/13 14:53:25
Author: serassio
Branch: nt
Tag: (none) 
Log:
Remove obsolete internal break

Members: 
	lib/cppunit-1.10.0/contrib/bc5/bcc-makefile.zip:1.1.2.1->1.1.2.2 
	lib/cppunit-1.10.0/examples/examples.opt:1.1.2.1->1.1.2.2 
	lib/cppunit-1.10.0/src/msvc6/testrunner/DynamicWindow/doc/cdxCDynamicWnd-DOC-big.gif:1.1.2.1->1.1.2.2 
	lib/cppunit-1.10.0/src/msvc6/testrunner/DynamicWindow/doc/cdxCDynamicWnd-DOC-small.gif:1.1.2.1->1.1.2.2 
	src/globals.h:1.9.2.20->1.9.2.21 
	src/main.cc:1.15.2.69->1.15.2.70 
	src/tools.cc:1.8.2.34->1.8.2.35 

Index: squid3/lib/cppunit-1.10.0/contrib/bc5/bcc-makefile.zip
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/cppunit-1.10.0/contrib/bc5/bcc-makefile.zip,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
Binary files /tmp/cvs3YW6Ui and /tmp/cvsOl0Otj differ
Index: squid3/lib/cppunit-1.10.0/examples/examples.opt
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/cppunit-1.10.0/examples/examples.opt,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
Binary files /tmp/cvsCzsz7n and /tmp/cvs4SS1ju differ
Index: squid3/lib/cppunit-1.10.0/src/msvc6/testrunner/DynamicWindow/doc/cdxCDynamicWnd-DOC-big.gif
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/cppunit-1.10.0/src/msvc6/testrunner/DynamicWindow/doc/cdxCDynamicWnd-DOC-big.gif,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
Binary files /tmp/cvsWEGZkL and /tmp/cvsL2AiSR differ
Index: squid3/lib/cppunit-1.10.0/src/msvc6/testrunner/DynamicWindow/doc/cdxCDynamicWnd-DOC-small.gif
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/cppunit-1.10.0/src/msvc6/testrunner/DynamicWindow/doc/cdxCDynamicWnd-DOC-small.gif,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
Binary files /tmp/cvsQVgDKj and /tmp/cvs7Q5RSf differ
Index: squid3/src/globals.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/globals.h,v
retrieving revision 1.9.2.20
retrieving revision 1.9.2.21
diff -u -r1.9.2.20 -r1.9.2.21
--- squid3/src/globals.h	22 Aug 2006 10:26:05 -0000	1.9.2.20
+++ squid3/src/globals.h	13 Sep 2006 14:53:27 -0000	1.9.2.21
@@ -1,6 +1,6 @@
 
 /*
- * $Id: globals.h,v 1.9.2.20 2006/08/22 10:26:05 serassio Exp $
+ * $Id: globals.h,v 1.9.2.21 2006/09/13 14:53:27 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -171,10 +171,6 @@
     extern char *WIN32_Command_Line;        /* NULL */
     extern char *WIN32_Service_Command_Line; /* NULL */
     extern unsigned int WIN32_run_mode;     /* _WIN_SQUID_RUN_MODE_INTERACTIVE */
-#if defined(_SQUID_MSWIN_) && defined(_DEBUG)
-
-    extern int do_debug_trap;	                /* 0 */
-#endif
 #endif
 #if HAVE_SBRK
 
Index: squid3/src/main.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/main.cc,v
retrieving revision 1.15.2.69
retrieving revision 1.15.2.70
diff -u -r1.15.2.69 -r1.15.2.70
--- squid3/src/main.cc	3 Sep 2006 08:44:14 -0000	1.15.2.69
+++ squid3/src/main.cc	13 Sep 2006 14:53:27 -0000	1.15.2.70
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.cc,v 1.15.2.69 2006/09/03 08:44:14 serassio Exp $
+ * $Id: main.cc,v 1.15.2.70 2006/09/13 14:53:27 serassio Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -167,13 +167,6 @@
     if (do_reconfigure) {
         mainReconfigure();
         do_reconfigure = 0;
-#if defined(_SQUID_MSWIN_) && defined(_DEBUG)
-
-    } else if (do_debug_trap) {
-        do_debug_trap = 0;
-        __asm int 3;
-#endif
-
     } else if (do_rotate) {
         mainRotate();
         do_rotate = 0;
Index: squid3/src/tools.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/tools.cc,v
retrieving revision 1.8.2.34
retrieving revision 1.8.2.35
diff -u -r1.8.2.34 -r1.8.2.35
--- squid3/src/tools.cc	4 Sep 2006 17:10:31 -0000	1.8.2.34
+++ squid3/src/tools.cc	13 Sep 2006 14:53:30 -0000	1.8.2.35
@@ -1,6 +1,6 @@
 
 /*
- * $Id: tools.cc,v 1.8.2.34 2006/09/04 17:10:31 serassio Exp $
+ * $Id: tools.cc,v 1.8.2.35 2006/09/13 14:53:30 serassio Exp $
  *
  * DEBUG: section 21    Misc Functions
  * AUTHOR: Harvest Derived
@@ -391,11 +391,6 @@
 void
 sigusr2_handle(int sig)
 {
-#if defined(_SQUID_MSWIN_) && defined(_DEBUG)
-    do_debug_trap = 1;
-#endif
-#if (defined(_SQUID_MSWIN_) && !defined(_DEBUG)) || !defined(_SQUID_MSWIN_)
-
     static int state = 0;
     /* no debug() here; bad things happen if the signal is delivered during _db_print() */
 
@@ -419,7 +414,6 @@
         state = 0;
     }
 
-#endif
 #if !HAVE_SIGACTION
     if (signal(sig, sigusr2_handle) == SIG_ERR)	/* reinstall */
         debug(50, 0) ("signal: sig=%d func=%p: %s\n", sig, sigusr2_handle, xstrerror());
